## org.eclipse.datatools.connectivity.ui.dse.dialogs.filters
Class DownToProfilesOnlyFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.datatools.connectivity.ui.dse.dialogs.filters.DownToProfilesOnlyFilter

    public class DownToProfilesOnlyFilter

extends org.eclipse.jface.viewers.ViewerFilter

Filters the DSE's viewer so only categories and profiles appear

Author:
  brianf

Constructor Summary
`DownToProfilesOnlyFilter()`

Method Summary
`boolean` `select(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)` Only show down to the category or profile node

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, filter, isFilterProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownToProfilesOnlyFilter

    public DownToProfilesOnlyFilter()

Method Detail

### select

    public boolean select(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

  Only show down to the category or profile node

  Specified by:
    `select` in class `org.eclipse.jface.viewers.ViewerFilter`